package com.flyfish.framework.config;

import lombok.Getter;
import lombok.Setter;

import java.util.function.Supplier;

/**
 * 框架配置
 *
 * @author wangyu
 */
@Getter
@Setter
public class FrameworkConfiguration {

    private boolean resultStyle = false;

    private boolean debug = false;

    private boolean shortPassword = false;

    private Supplier<String> codeSupplier = null;

    public FrameworkConfiguration resultStyle() {
        this.resultStyle = true;
        return this;
    }

    public FrameworkConfiguration debug() {
        this.debug = true;
        return this;
    }

    public FrameworkConfiguration shortPassword() {
        this.shortPassword = true;
        return this;
    }

    public FrameworkConfiguration codeSupplier(Supplier<String> codeSupplier) {
        this.codeSupplier = codeSupplier;
        return this;
    }
}
